Bug 1024549 - Bundled MD5
Summary: Bundled MD5
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: busybox
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 476234
TreeView+ depends on / blocked
 
Reported: 2013-10-29 22:27 UTC by Michael Schwendt
Modified: 2015-04-14 15:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-04-14 15:23:32 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2013-10-29 22:27:04 UTC
Busybox contains two bundled implementations of MD5 and needs to follow the related packaging guidelines:

  https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

1) libbb/hash_md5_sha.c is an implementation by Ulrich Drepper, which is not known yet at https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#cite_note-0
For a different implementation by Ulrich, see https://fedorahosted.org/fpc/ticket/130 where an exception and a name for it has been requested.

2) libbb/hash_md5prime.c is "not used by busybox right now" according to that file. It's based on an implementation by RSA, but has been edited [to an extend I haven't analyzed]. No action is needed for this implementation yet.
However, if you delete that source file during %prep, it won't be built with accidentally. ;)

Comment 1 Michael Schwendt 2014-02-19 13:08:02 UTC
Here's the FPC's resolution since I haven't seen anyone else filing a ticket in their tracker:
https://fedorahosted.org/fpc/ticket/367

Comment 2 Denys Vlasenko 2014-12-16 15:09:27 UTC
I propose to close it as WONTFIX.

Busybox is meant to be used (among other scenarios) in emergency repairs. To this end, it's useful to have it statically linked, so that we don't depend on on NSS libs (or any other libs) to be present on the system.

Comment 3 Michael Schwendt 2014-12-16 16:37:31 UTC
Why would you propose that?

Just follow 

  https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions

and add "Provides: bundled(md5-drepper2)" to the package. See footnode 2.

Comment 4 Michael Schwendt 2015-04-14 15:23:32 UTC
Fix committed to Rawhide. No build request submitted, however.


Note You need to log in before you can comment on or make changes to this bug.